> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete source

> Deletes a source and its documents/chunks (cascade).



## OpenAPI

````yaml /openapi.yaml delete /shared-knowledge/sources/{id}
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /shared-knowledge/sources/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    delete:
      summary: Delete source
      description: Deletes a source and its documents/chunks (cascade).
      responses:
        '200':
          description: Source deleted
        '401':
          description: Not authenticated
        '403':
          description: Not authorized to delete this source
        '404':
          description: Source not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````